{% load static %}
{% load guardian_tags %}
<!DOCTYPE html>
<html lang="en">
<head>
    {% comment %} html header {% endcomment %}
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>
        {% block title %}
            OpenLink
        {% endblock %}
    </title>

    <meta http-equiv="content-type" content="text/html; charset=utf-8" />

    <meta name="description" content=" content=" {% block meta-description %} OpenLink will establish specialized
            gateways between the various data management tools throughout the data lifecycle by exploiting their respective
        APIs, while providing a cross-cutting view of their data to the research teams. " {% endblock %}" />
    <link rel="shortcut icon" type="image/png" href="{% static "images/favicon.ico" %}" />

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    {% comment %} Our Custom CSS {% endcomment %}
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <link rel="stylesheet" href="{% static 'css/introjs.css' %}">
    {% comment %} <link rel="stylesheet" href="{% static 'css/introjs-modern.css' %}"> {% endcomment %}

        <link rel="stylesheet" href="{% static 'css/openlink.css' %}">
        <link rel="stylesheet" href="{% static 'css/generique.css' %}">
        <link rel="stylesheet" href="{% static 'css/bootstrap-tagsinput.css' %}">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css">
        {% block custom_css %}
            <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap.min.css">
            <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.19/css/jquery.dataTables.css">
            <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jstree/3.2.1/themes/default/style.min.css" />
        
        
        
        
        {% endblock %}
    
        {% comment %} js imports {% endcomment %}
        {% comment %} jQuery CDN - Slim version (=without AJAX) {% endcomment %}
        <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
        {% comment %} Popper.JS {% endcomment %}
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"
            integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ" crossorigin="anonymous">
        </script>
        {% comment %} Bootstrap JS {% endcomment %}
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js">
        </script>
    
        {% comment %} Font Awesome JS {% endcomment %}
        <script defer src="https://use.fontawesome.com/releases/v5.15.4/js/solid.js"
            integrity="sha384-/BxOvRagtVDn9dJ+JGCtcofNXgQO/CCCVKdMfL115s3gOgQxWaX/tSq5V8dRgsbc" crossorigin="anonymous">
        </script>
        <script defer src="https://use.fontawesome.com/releases/v5.15.4/js/fontawesome.js"
            integrity="sha384-dPBGbj4Uoy1OOpM4+aRGfAOc0W37JkROT+3uynUgTHZCHZNMHfGXsmmvYTffZjYO" crossorigin="anonymous">
        </script>
    
    
    <script src="{% static 'js/mdb.min.js' %}"></script>
    <script src="{% static 'js/modules/treeview.min.js' %}"></script>
    <script src="{% static 'js/modules/animations-extended.min.js' %}"></script>
    <script src="{% static 'js/bootstrap-tagsinput.min.js' %}"></script>
    <script src="{% static 'js/intro.min.js' %}"></script>

    <script src="https://cdn.jsdelivr.net/npm/darkmode-js@1.5.5/lib/darkmode-js.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/js-cookie@rc/dist/js.cookie.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jstree/3.3.11/jstree.min.js"></script>

</head>
<body>
    {% include 'nav.html' %}

<div id="alert">
<div id="message">
    {% for message in messages %}
        {% if message.extra_tags == "multiple" %}
    <ul class="alert alert-{{ message.level_tag }} mb-0 alert-dismissible fade show alert-ul alert-fixed" style="cursor: pointer;"
        role="alert"> {{ message }} <i class="chevron-up">&#x2303;</i>  <i class="chevron-down" style="display: None;">&#x2304;</i>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <div class="alert-progress active" role="progressbar">
                    <div id="box"></div>
                </div>
        {% else %}
            <li class="alert alert-{{ message.level_tag }} mb-0 alert-dismissible fade show alert-li" style="list-style-type: none;" role="alert">
                <span>{{ message }}</span>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <div class="alert-progress active" role="progressbar">
                    <div id="box"></div>
                </div>
            </li>
        {% endif %}
    {% endfor %}
        </ul>
</div>
</div>

    <div class="container">
        {% block content %}{% endblock %}
    </div>

    <script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.js">
    </script>
    <script>
        var timeoutId = '';
        $(document).ready(function () {
            var duration = 7000;
            var st = new Date().getTime();
            var interval = setInterval(function() {
                var diff = Math.round(new Date().getTime() - st),
                val = Math.round(diff / duration * 100);
                val = val > 100 ? 100 : val;
                $("#box").css("width", val + "%");
                if (diff >= duration) {
                clearInterval(interval);
                }
            }, 100);

            $(".alert-ul").find('li').slideToggle();
            timeoutId = setTimeout(function(){
                $('.alert-ul,.alert-li').fadeOut('fast');}, duration);
                });
            $('.alert-ul,.alert-li').click(function() {
                clearTimeout(timeoutId);
                $(".chevron-up").toggle();
                $(".chevron-down").toggle();
                $('.alert-ul').find('li').slideToggle();
            });
    </script>
    <script>
        $(document).ready(function () {
            $('#table.table').DataTable({
                searching: true,
                info: false
            });
        });
    </script>
    <script>
        $(document).ready(function () {
            $('[data-toggle="popover"]').popover();
        });
    </script>
    <script>
        $(document).ready(function () {

            $('#sidebarCollapse').on('click', function () {
                $('#sidebar').toggleClass('active');
            });

        });
    </script>
    {{ redirect_to_login_immediately }}
    {{ logout_on_tabs_closed }}
    {% comment %} <footer>
        {%if debug %}
            {{ request.get_full_path }}
            <br>
            {{request.resolver_match.view_name}}
            <br>
            {{request.resolver_match.url_name}}
            <br>
            {{request.resolver_match}}
            <br>
            {{request.resolver_match.func}}
            <br>
            {{request.resolver_match.route}}
            <br>
        {%endif%}
    </footer> {% endcomment %}
</body>

</html>